EmailAttachment

Retrieves the collection of EmailAttachment resources.

Retrieves the collection of EmailAttachment resources.

GET/api/spa/email-attachments

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

itemsPerPage
integerdefault:30

The number of items per page

order[id]
stringdefault:asc

No description provided.

order[identifier]
stringdefault:asc

No description provided.

order[activeFrom]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

identifier
string

No description provided.

description
string

No description provided.

brandIdentifier
string

No description provided.

brandIdentifier[]
string[]

No description provided.

search
string

Search across multiple fields (id, identifier, brandIdentifier, description, groupIdentifier, fileName, activeFrom, active, subClientDefault, createdAt, updatedAt, subClient.description) using OR logic with partial matching.

active
boolean

No description provided.

activeFrom[before]
string

No description provided.

activeFrom[strictly_before]
string

No description provided.

activeFrom[after]
string

No description provided.

activeFrom[strictly_after]
string

No description provided.

Response

200application/json

EmailAttachment collection

id
integer
identifier
string
description
string
createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

brandIdentifier
stringrequired

Example: "default"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

groupIdentifier
string

Optional group identifier to be used with group conditions

Example: "my_group"

groupCondition
string

Group condition.

Example: "data['contract']['balance'] > 0"

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"